Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.muc.cluster
Class ServiceInfo

    java.lang.Object
      org.jivesoftware.openfire.muc.cluster.ServiceInfo

All Implemented Interfaces:
  Externalizable, Serializable

    public class ServiceInfo

extends Object
implements Externalizable

Representation of a service configuration. This information is requested by a cluster node when joining the cluster (requested to the senior member) and also from each cluster node to the new node joining the cluster. Each cluster node (existing and new one) has to merge its local services with the new ones. It does not include database stored configuration options, as they are handled via database reads.

Author:
  Daniel Henninger
See Also:
  Serialized Form

Constructor Summary
`ServiceInfo()` Do not use this constructor.
`ServiceInfo(MultiUserChatService service)`

Method Summary
`String` | `getDescription()`
`List<RoomInfo>` | `getRooms()`
`String` | `getSubdomain()`
`Boolean` | `isHidden()`
`void` | `readExternal(ObjectInput in)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceInfo

    public ServiceInfo()

  Do not use this constructor. Needed for Externalizable interface.

### ServiceInfo

    public ServiceInfo(MultiUserChatService service)

Method Detail

### getSubdomain

    public String getSubdomain()

### getDescription

    public String getDescription()

### isHidden

    public Boolean isHidden()

### getRooms

    public List<RoomInfo> getRooms()

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.